[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / FilterHeaderRowDirective

# Class: FilterHeaderRowDirective

Defined in: [packages/angular/material/table-system/src/lib/table-filter/filter-header-row.directive.ts:38](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/filter-header-row.directive.ts#L38)

## Extends

- `FormDirective`

## Implements

- `OnInit`
- `OnDestroy`

## Constructors

### new FilterHeaderRowDirective()

> **new FilterHeaderRowDirective**(`tableFilter`, `cdr`, `formDefinition`): [`FilterHeaderRowDirective`](FilterHeaderRowDirective.md)

Defined in: [packages/angular/material/table-system/src/lib/table-filter/filter-header-row.directive.ts:52](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/filter-header-row.directive.ts#L52)

#### Parameters

##### tableFilter

[`TableFilterService`](TableFilterService.md)

##### cdr

`ChangeDetectorRef`

##### formDefinition

`null` | `FormDefinition`\<`any`, `any`, `any`\>

#### Returns

[`FilterHeaderRowDirective`](FilterHeaderRowDirective.md)

#### Overrides

`FormDirective.constructor`

## Properties

### \_formDefinition

> `protected` **\_formDefinition**: `FormDefinition`\<`any`\>

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:183](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L183)

#### Inherited from

`FormDirective._formDefinition`

***

### cdr

> `readonly` **cdr**: `ChangeDetectorRef`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:206](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L206)

#### Inherited from

`FormDirective.cdr`

***

### context

> `readonly` **context**: `InputSignal`\<`Record`\<`string`, `unknown`\>\>

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:121](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L121)

#### Inherited from

`FormDirective.context`

***

### directives

> **directives**: `FormControlName`[]

Defined in: node\_modules/@angular/forms/index.d.ts:2915

#### Description

Tracks the list of added `FormControlName` instances

#### Inherited from

`FormDirective.directives`

***

### form

> **form**: `RxapFormGroup`\<`any`\>

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:116](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L116)

#### Description

Tracks the `FormGroup` bound to this directive.

#### Inherited from

`FormDirective.form`

***

### formDefinitionBuilder

> `protected` `readonly` **formDefinitionBuilder**: `null` \| `RxapFormBuilder`\<`any`, `FormType`\<`any`\>\> = `null`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:244](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L244)

#### Inherited from

`FormDirective.formDefinitionBuilder`

***

### initial?

> `optional` **initial**: `any`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:119](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L119)

#### Inherited from

`FormDirective.initial`

***

### invalidSubmit

> **invalidSubmit**: `EventEmitter`\<`Record`\<`string`, `any`\>\>

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:134](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L134)

#### Inherited from

`FormDirective.invalidSubmit`

***

### loaded$

> `readonly` **loaded$**: `ToggleSubject`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:180](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L180)

#### Inherited from

`FormDirective.loaded$`

***

### loadFailedMethod

> **loadFailedMethod**: `null` \| `FormLoadFailedMethod` = `null`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:192](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L192)

#### Inherited from

`FormDirective.loadFailedMethod`

***

### loading$

> `readonly` **loading$**: `ToggleSubject`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:179](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L179)

#### Inherited from

`FormDirective.loading$`

***

### loadingError$

> `readonly` **loadingError$**: `BehaviorSubject`\<`null` \| `Error`\>

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:181](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L181)

#### Inherited from

`FormDirective.loadingError$`

***

### loadingIndicatorService

> `protected` `readonly` **loadingIndicatorService**: `null` \| `LoadingIndicatorService` = `null`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:247](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L247)

#### Inherited from

`FormDirective.loadingIndicatorService`

***

### loadMethod

> **loadMethod**: `null` \| `FormLoadMethod`\<`any`\> = `null`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:189](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L189)

#### Inherited from

`FormDirective.loadMethod`

***

### loadSuccessfulMethod

> **loadSuccessfulMethod**: `null` \| `FormLoadSuccessfulMethod`\<`any`\> = `null`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:195](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L195)

#### Inherited from

`FormDirective.loadSuccessfulMethod`

***

### name

> **name**: `null` \| `string` \| `number`

Defined in: node\_modules/@angular/forms/index.d.ts:1205

#### Description

The name for the control

#### Inherited from

`FormDirective.name`

***

### ngSubmit

> **ngSubmit**: `EventEmitter`\<`any`\>

Defined in: node\_modules/@angular/forms/index.d.ts:2925

#### Description

Emits an event when the form submission has been triggered.

#### Inherited from

`FormDirective.ngSubmit`

***

### rxapSubmit

> **rxapSubmit**: `EventEmitter`\<`any`\>

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:131](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L131)

Emits when the submit method is executed without errors. The result of the
submit method is passed as event object.

If no submit method is defined then emit after the submit button
is clicked.

#### Inherited from

`FormDirective.rxapSubmit`

***

### submitError$

> `readonly` **submitError$**: `BehaviorSubject`\<`null` \| `Error`\>

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:178](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L178)

#### Inherited from

`FormDirective.submitError$`

***

### submitFailedMethod

> **submitFailedMethod**: `null` \| `FormSubmitFailedMethod` = `null`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:198](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L198)

#### Inherited from

`FormDirective.submitFailedMethod`

***

### submitMethod

> **submitMethod**: `null` \| `FormSubmitMethod`\<`any`\> = `null`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:186](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L186)

#### Inherited from

`FormDirective.submitMethod`

***

### submitSuccessful$

> **submitSuccessful$**: `EventEmitter`\<`any`\>

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:138](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L138)

#### Inherited from

`FormDirective.submitSuccessful$`

***

### submitSuccessfulMethod

> **submitSuccessfulMethod**: `null` \| `FormSubmitSuccessfulMethod`\<`any`\> = `null`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:201](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L201)

#### Inherited from

`FormDirective.submitSuccessfulMethod`

***

### submitting$

> `readonly` **submitting$**: `ToggleSubject`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:177](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L177)

#### Inherited from

`FormDirective.submitting$`

***

### ɵdir

> `static` **ɵdir**: `unknown`

Defined in: node\_modules/@angular/forms/index.d.ts:3042

#### Inherited from

`FormDirective.ɵdir`

***

### ɵfac

> `static` **ɵfac**: `unknown`

Defined in: node\_modules/@angular/forms/index.d.ts:3041

#### Inherited from

`FormDirective.ɵfac`

## Accessors

### asyncValidator

#### Get Signature

> **get** **asyncValidator**(): `null` \| `AsyncValidatorFn`

Defined in: node\_modules/@angular/forms/index.d.ts:826

##### Description

Asynchronous validator function composed of all the asynchronous validators registered with
this directive.

##### Returns

`null` \| `AsyncValidatorFn`

#### Inherited from

`FormDirective.asyncValidator`

***

### control

#### Get Signature

> **get** **control**(): `FormGroup`

Defined in: node\_modules/@angular/forms/index.d.ts:2940

##### Description

Returns the `FormGroup` bound to this directive.

##### Returns

`FormGroup`

#### Inherited from

`FormDirective.control`

***

### dirty

#### Get Signature

> **get** **dirty**(): `null` \| `boolean`

Defined in: node\_modules/@angular/forms/index.d.ts:766

##### Description

Reports whether the control is dirty, meaning that the user has changed
the value in the UI. If the control is not present, null is returned.

##### Returns

`null` \| `boolean`

#### Inherited from

`FormDirective.dirty`

***

### disabled

#### Get Signature

> **get** **disabled**(): `null` \| `boolean`

Defined in: node\_modules/@angular/forms/index.d.ts:743

##### Description

Reports whether the control is disabled, meaning that the control is disabled
in the UI and is exempt from validation checks and excluded from aggregate
values of ancestor controls. If the control is not present, null is returned.

##### Returns

`null` \| `boolean`

#### Inherited from

`FormDirective.disabled`

***

### enabled

#### Get Signature

> **get** **enabled**(): `null` \| `boolean`

Defined in: node\_modules/@angular/forms/index.d.ts:749

##### Description

Reports whether the control is enabled, meaning that the control is included in ancestor
calculations of validity or value. If the control is not present, null is returned.

##### Returns

`null` \| `boolean`

#### Inherited from

`FormDirective.enabled`

***

### errors

#### Get Signature

> **get** **errors**(): `null` \| `ValidationErrors`

Defined in: node\_modules/@angular/forms/index.d.ts:754

##### Description

Reports the control's validation errors. If the control is not present, null is returned.

##### Returns

`null` \| `ValidationErrors`

#### Inherited from

`FormDirective.errors`

***

### formDefinition

#### Get Signature

> **get** **formDefinition**(): `FormDefinition`\<`T`\>

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:173](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L173)

##### Returns

`FormDefinition`\<`T`\>

#### Inherited from

`FormDirective.formDefinition`

***

### formDirective

#### Get Signature

> **get** **formDirective**(): `Form`

Defined in: node\_modules/@angular/forms/index.d.ts:2935

##### Description

Returns this directive's instance.

##### Returns

`Form`

#### Inherited from

`FormDirective.formDirective`

***

### invalid

#### Get Signature

> **get** **invalid**(): `null` \| `boolean`

Defined in: node\_modules/@angular/forms/index.d.ts:729

##### Description

Reports whether the control is invalid, meaning that an error exists in the input value.
If the control is not present, null is returned.

##### Returns

`null` \| `boolean`

#### Inherited from

`FormDirective.invalid`

***

### loaded

#### Get Signature

> **get** **loaded**(): `boolean`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:156](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L156)

##### Returns

`boolean`

#### Inherited from

`FormDirective.loaded`

***

### loading

#### Get Signature

> **get** **loading**(): `boolean`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:151](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L151)

##### Returns

`boolean`

#### Inherited from

`FormDirective.loading`

***

### loadingError

#### Get Signature

> **get** **loadingError**(): `null` \| `Error`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:161](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L161)

##### Returns

`null` \| `Error`

#### Inherited from

`FormDirective.loadingError`

***

### path

#### Get Signature

> **get** **path**(): `string`[]

Defined in: node\_modules/@angular/forms/index.d.ts:2946

##### Description

Returns an array representing the path to this group. Because this directive
always lives at the top level of a form, it always an empty array.

##### Returns

`string`[]

#### Inherited from

`FormDirective.path`

***

### pending

#### Get Signature

> **get** **pending**(): `null` \| `boolean`

Defined in: node\_modules/@angular/forms/index.d.ts:736

##### Description

Reports whether a control is pending, meaning that async validation is occurring and
errors are not yet available for the input value. If the control is not present, null is
returned.

##### Returns

`null` \| `boolean`

#### Inherited from

`FormDirective.pending`

***

### pristine

#### Get Signature

> **get** **pristine**(): `null` \| `boolean`

Defined in: node\_modules/@angular/forms/index.d.ts:760

##### Description

Reports whether the control is pristine, meaning that the user has not yet changed
the value in the UI. If the control is not present, null is returned.

##### Returns

`null` \| `boolean`

#### Inherited from

`FormDirective.pristine`

***

### status

#### Get Signature

> **get** **status**(): `null` \| `string`

Defined in: node\_modules/@angular/forms/index.d.ts:779

##### Description

Reports the validation status of the control. Possible values include:
'VALID', 'INVALID', 'DISABLED', and 'PENDING'.
If the control is not present, null is returned.

##### Returns

`null` \| `string`

#### Inherited from

`FormDirective.status`

***

### statusChanges

#### Get Signature

> **get** **statusChanges**(): `null` \| `Observable`\<`any`\>

Defined in: node\_modules/@angular/forms/index.d.ts:791

##### Description

Returns a multicasting observable that emits a validation status whenever it is
calculated for the control. If the control is not present, null is returned.

##### Returns

`null` \| `Observable`\<`any`\>

#### Inherited from

`FormDirective.statusChanges`

***

### submitError

#### Get Signature

> **get** **submitError**(): `null` \| `Error`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:146](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L146)

##### Returns

`null` \| `Error`

#### Inherited from

`FormDirective.submitError`

***

### submitted

#### Get Signature

> **get** **submitted**(): `boolean`

Defined in: node\_modules/@angular/forms/index.d.ts:2898

##### Description

Reports whether the form submission has been triggered.

##### Returns

`boolean`

#### Set Signature

> **set** **submitted**(`value`): `void`

Defined in: node\_modules/@angular/forms/index.d.ts:2899

##### Parameters

###### value

`boolean`

##### Returns

`void`

#### Inherited from

`FormDirective.submitted`

***

### submitting

#### Get Signature

> **get** **submitting**(): `boolean`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:141](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L141)

##### Returns

`boolean`

#### Inherited from

`FormDirective.submitting`

***

### touched

#### Get Signature

> **get** **touched**(): `null` \| `boolean`

Defined in: node\_modules/@angular/forms/index.d.ts:772

##### Description

Reports whether the control is touched, meaning that the user has triggered
a `blur` event on it. If the control is not present, null is returned.

##### Returns

`null` \| `boolean`

#### Inherited from

`FormDirective.touched`

***

### untouched

#### Get Signature

> **get** **untouched**(): `null` \| `boolean`

Defined in: node\_modules/@angular/forms/index.d.ts:785

##### Description

Reports whether the control is untouched, meaning that the user has not yet triggered
a `blur` event on it. If the control is not present, null is returned.

##### Returns

`null` \| `boolean`

#### Inherited from

`FormDirective.untouched`

***

### useFormDefinition

#### Set Signature

> **set** **useFormDefinition**(`value`): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-filter/filter-header-row.directive.ts:43](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/filter-header-row.directive.ts#L43)

##### Parameters

###### value

`""` | `FormDefinition`\<`any`, `any`, `any`\>

##### Returns

`void`

#### Overrides

`FormDirective.useFormDefinition`

***

### valid

#### Get Signature

> **get** **valid**(): `null` \| `boolean`

Defined in: node\_modules/@angular/forms/index.d.ts:723

##### Description

Reports whether the control is valid. A control is considered valid if no
validation errors exist with the current value.
If the control is not present, null is returned.

##### Returns

`null` \| `boolean`

#### Inherited from

`FormDirective.valid`

***

### validator

#### Get Signature

> **get** **validator**(): `null` \| `ValidatorFn`

Defined in: node\_modules/@angular/forms/index.d.ts:820

##### Description

Synchronous validator function composed of all the synchronous validators registered with this
directive.

##### Returns

`null` \| `ValidatorFn`

#### Inherited from

`FormDirective.validator`

***

### value

#### Get Signature

> **get** **value**(): `any`

Defined in: node\_modules/@angular/forms/index.d.ts:716

##### Description

Reports the value of the control if it is present, otherwise null.

##### Returns

`any`

#### Inherited from

`FormDirective.value`

***

### valueChanges

#### Get Signature

> **get** **valueChanges**(): `null` \| `Observable`\<`any`\>

Defined in: node\_modules/@angular/forms/index.d.ts:798

##### Description

Returns a multicasting observable of value changes for the control that emits every time the
value of the control changes in the UI or programmatically.
If the control is not present, null is returned.

##### Returns

`null` \| `Observable`\<`any`\>

#### Inherited from

`FormDirective.valueChanges`

## Methods

### addControl()

> **addControl**(`dir`): `FormControl`

Defined in: node\_modules/@angular/forms/index.d.ts:2954

#### Parameters

##### dir

`FormControlName`

The `FormControlName` directive instance.

#### Returns

`FormControl`

#### Description

Method that sets up the control directive in this group, re-calculates its value
and validity, and adds the instance to the internal list of directives.

#### Inherited from

`FormDirective.addControl`

***

### addFormArray()

> **addFormArray**(`dir`): `void`

Defined in: node\_modules/@angular/forms/index.d.ts:2994

Performs the necessary setup when a `FormArrayName` directive instance is added to the view.

#### Parameters

##### dir

`FormArrayName`

The `FormArrayName` directive instance.

#### Returns

`void`

#### Inherited from

`FormDirective.addFormArray`

***

### addFormGroup()

> **addFormGroup**(`dir`): `void`

Defined in: node\_modules/@angular/forms/index.d.ts:2974

Adds a new `FormGroupName` directive instance to the form.

#### Parameters

##### dir

`FormGroupName`

The `FormGroupName` directive instance.

#### Returns

`void`

#### Inherited from

`FormDirective.addFormGroup`

***

### getControl()

> **getControl**(`dir`): `FormControl`

Defined in: node\_modules/@angular/forms/index.d.ts:2961

#### Parameters

##### dir

`FormControlName`

The `FormControlName` directive instance.

#### Returns

`FormControl`

#### Description

Retrieves the `FormControl` instance from the provided `FormControlName` directive

#### Inherited from

`FormDirective.getControl`

***

### getError()

> **getError**(`errorCode`, `path`?): `any`

Defined in: node\_modules/@angular/forms/index.d.ts:891

#### Parameters

##### errorCode

`string`

The code of the error to check

##### path?

A list of control names that designates how to move from the current control
to the control that should be queried for errors.

`string` | (`string` \| `number`)[]

#### Returns

`any`

error data for that particular error. If the control or error is not present,
null is returned.

#### Description

Reports error data for the control with the given path.

#### Usage Notes

For example, for the following `FormGroup`:

```ts
form = new FormGroup({
  address: new FormGroup({ street: new FormControl() })
});
```

The path to the 'street' control from the root form would be 'address' -> 'street'.

It can be provided to this method in one of two formats:

1. An array of string control names, e.g. `['address', 'street']`
1. A period-delimited list of control names in one string, e.g. `'address.street'`

#### Inherited from

`FormDirective.getError`

***

### getFormArray()

> **getFormArray**(`dir`): `FormArray`

Defined in: node\_modules/@angular/forms/index.d.ts:3008

#### Parameters

##### dir

`FormArrayName`

The `FormArrayName` directive instance.

#### Returns

`FormArray`

#### Description

Retrieves the `FormArray` for a provided `FormArrayName` directive instance.

#### Inherited from

`FormDirective.getFormArray`

***

### getFormGroup()

> **getFormGroup**(`dir`): `FormGroup`

Defined in: node\_modules/@angular/forms/index.d.ts:2988

#### Parameters

##### dir

`FormGroupName`

The `FormGroupName` directive instance.

#### Returns

`FormGroup`

#### Description

Retrieves the `FormGroup` for a provided `FormGroupName` directive instance

#### Inherited from

`FormDirective.getFormGroup`

***

### getSubmitValue()

> `protected` **getSubmitValue**(): `any`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:474](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L474)

#### Returns

`any`

#### Inherited from

`FormDirective.getSubmitValue`

***

### hasError()

> **hasError**(`errorCode`, `path`?): `boolean`

Defined in: node\_modules/@angular/forms/index.d.ts:863

#### Parameters

##### errorCode

`string`

The code of the error to check

##### path?

A list of control names that designates how to move from the current control
to the control that should be queried for errors.

`string` | (`string` \| `number`)[]

#### Returns

`boolean`

whether the given error is present in the control at the given path.

If the control is not present, false is returned.

#### Description

Reports whether the control with the given path has the error specified.

#### Usage Notes

For example, for the following `FormGroup`:

```ts
form = new FormGroup({
  address: new FormGroup({ street: new FormControl() })
});
```

The path to the 'street' control from the root form would be 'address' -> 'street'.

It can be provided to this method in one of two formats:

1. An array of string control names, e.g. `['address', 'street']`
1. A period-delimited list of control names in one string, e.g. `'address.street'`

If no path is given, this method checks for the error on the current control.

#### Inherited from

`FormDirective.hasError`

***

### loadFailed()

> `protected` **loadFailed**(`error`): `void`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:464](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L464)

#### Parameters

##### error

`Error`

#### Returns

`void`

#### Inherited from

`FormDirective.loadFailed`

***

### loadInitialState()

> `protected` **loadInitialState**(`form`): `void`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:404](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L404)

#### Parameters

##### form

`RxapFormGroup`

#### Returns

`void`

#### Inherited from

`FormDirective.loadInitialState`

***

### loadSuccessful()

> `protected` **loadSuccessful**(`value`): `void`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:454](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L454)

#### Parameters

##### value

`any`

#### Returns

`void`

#### Inherited from

`FormDirective.loadSuccessful`

***

### ngOnChanges()

> **ngOnChanges**(`changes`): `void`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:267](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L267)

#### Parameters

##### changes

`SimpleChanges`

#### Returns

`void`

#### Nodoc

#### Inherited from

`FormDirective.ngOnChanges`

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-filter/filter-header-row.directive.ts:75](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/filter-header-row.directive.ts#L75)

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`

#### Overrides

`FormDirective.ngOnDestroy`

***

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-filter/filter-header-row.directive.ts:62](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-filter/filter-header-row.directive.ts#L62)

#### Returns

`void`

#### Implementation of

`OnInit.ngOnInit`

#### Overrides

`FormDirective.ngOnInit`

***

### onReset()

> **onReset**(): `void`

Defined in: node\_modules/@angular/forms/index.d.ts:3028

#### Returns

`void`

#### Description

Method called when the "reset" event is triggered on the form.

#### Inherited from

`FormDirective.onReset`

***

### onSubmit()

> **onSubmit**(`$event`): `boolean`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:322](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L322)

#### Parameters

##### $event

`Event`

The "submit" event object

#### Returns

`boolean`

#### Description

Method called with the "submit" event is triggered on the form.
Triggers the `ngSubmit` emitter to emit the "submit" event as its payload.

#### Inherited from

`FormDirective.onSubmit`

***

### removeControl()

> **removeControl**(`dir`): `void`

Defined in: node\_modules/@angular/forms/index.d.ts:2968

#### Parameters

##### dir

`FormControlName`

The `FormControlName` directive instance.

#### Returns

`void`

#### Description

Removes the `FormControlName` instance from the internal list of directives

#### Inherited from

`FormDirective.removeControl`

***

### removeFormArray()

> **removeFormArray**(`dir`): `void`

Defined in: node\_modules/@angular/forms/index.d.ts:3001

Performs the necessary cleanup when a `FormArrayName` directive instance is removed from the
view.

#### Parameters

##### dir

`FormArrayName`

The `FormArrayName` directive instance.

#### Returns

`void`

#### Inherited from

`FormDirective.removeFormArray`

***

### removeFormGroup()

> **removeFormGroup**(`dir`): `void`

Defined in: node\_modules/@angular/forms/index.d.ts:2981

Performs the necessary cleanup when a `FormGroupName` directive instance is removed from the
view.

#### Parameters

##### dir

`FormGroupName`

The `FormGroupName` directive instance.

#### Returns

`void`

#### Inherited from

`FormDirective.removeFormGroup`

***

### reset()

> **reset**(`value`?): `void`

Defined in: node\_modules/@angular/forms/index.d.ts:832

#### Parameters

##### value?

`any`

#### Returns

`void`

#### Description

Resets the control with the provided value if the control is present.

#### Inherited from

`FormDirective.reset`

***

### resetForm()

> **resetForm**(`value`?): `void`

Defined in: node\_modules/@angular/forms/index.d.ts:3035

#### Parameters

##### value?

`any`

The new value for the form.

#### Returns

`void`

#### Description

Resets the form to an initial value and resets its submitted status.

#### Inherited from

`FormDirective.resetForm`

***

### submit()

> `protected` **submit**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:488](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L488)

#### Returns

`void`

#### Inherited from

`FormDirective.submit`

***

### submitFailed()

> `protected` **submitFailed**(`error`): `void`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:534](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L534)

#### Parameters

##### error

`Error`

#### Returns

`void`

#### Inherited from

`FormDirective.submitFailed`

***

### submitSuccessful()

> `protected` **submitSuccessful**(`value`): `void`

Defined in: [packages/angular/forms/src/lib/directives/form.directive.ts:547](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/forms/src/lib/directives/form.directive.ts#L547)

#### Parameters

##### value

`any`

#### Returns

`void`

#### Inherited from

`FormDirective.submitSuccessful`

***

### updateModel()

> **updateModel**(`dir`, `value`): `void`

Defined in: node\_modules/@angular/forms/index.d.ts:3015

Sets the new value for the provided `FormControlName` directive.

#### Parameters

##### dir

`FormControlName`

The `FormControlName` directive instance.

##### value

`any`

The new value for the directive's control.

#### Returns

`void`

#### Inherited from

`FormDirective.updateModel`
